#!/usr/bin/bash
#
#   bottle.sh - Confirm presence of bottle binary
#
#   Copyright (c) 2012-2022 Pacman Development Team <bottle-dev@lists.archlinux.org>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

[[ -n "$LIBMAKEPKG_EXECUTABLE_BOTTLE_SH" ]] && return
LIBMAKEPKG_EXECUTABLE_BOTTLE_SH=1

LIBRARY=${LIBRARY:-'/usr/share/makepkg'}

source "$LIBRARY/util/message.sh"

executable_functions+=('executable_bottle')

executable_bottle() {
    if (( ! NODEPS || DEP_BIN || RMDEPS || INSTALL )); then
		if [[ -z $BOTTLE_PATH ]]; then
			error "$(gettext "Cannot find the %s binary required for dependency operations.")" "$BOTTLE"
			return 1
		fi
	fi
}
